### YamlMime:ManagedReference
items:
- uid: OmiLAXR.Analytics.Editor.ComponentStates
  commentId: T:OmiLAXR.Analytics.Editor.ComponentStates
  id: ComponentStates
  parent: OmiLAXR.Analytics.Editor
  children:
  - OmiLAXR.Analytics.Editor.ComponentStates.#ctor(System.Collections.Generic.IEnumerable{UnityEngine.Component})
  langs:
  - csharp
  - vb
  name: ComponentStates
  nameWithType: ComponentStates
  fullName: OmiLAXR.Analytics.Editor.ComponentStates
  type: Class
  source:
    remote:
      path: Editor/ComponentStates.cs
      branch: main
      repo: git@gitlab.com:learntech-rwth/omilaxr-ecosystem/omilaxr.analytics.git
    id: ComponentStates
    path: ../Assets/OmiLAXR Ecosystem/OmiLAXR.Analytics/Editor/ComponentStates.cs
    startLine: 5
  assemblies:
  - OmiLAXR.Analytics.Editor
  namespace: OmiLAXR.Analytics.Editor
  syntax:
    content: 'public class ComponentStates : Dictionary<int, string>'
    content.vb: Public Class ComponentStates Inherits Dictionary(Of Integer, String)
  inheritance:
  - System.Object
  - System.Collections.Generic.Dictionary{System.Int32,System.String}
  extensionMethods:
  - System.Collections.Generic.IEnumerable{System.Collections.Generic.KeyValuePair{System.Int32,System.String}}.OmiLAXR.Analytics.Editor.IEnumerableExt.Diff``1(System.Collections.Generic.IEnumerable{System.Collections.Generic.KeyValuePair{System.Int32,System.String}})
- uid: OmiLAXR.Analytics.Editor.ComponentStates.#ctor(System.Collections.Generic.IEnumerable{UnityEngine.Component})
  commentId: M:OmiLAXR.Analytics.Editor.ComponentStates.#ctor(System.Collections.Generic.IEnumerable{UnityEngine.Component})
  id: '#ctor(System.Collections.Generic.IEnumerable{UnityEngine.Component})'
  parent: OmiLAXR.Analytics.Editor.ComponentStates
  langs:
  - csharp
  - vb
  name: ComponentStates(IEnumerable<Component>)
  nameWithType: ComponentStates.ComponentStates(IEnumerable<Component>)
  fullName: OmiLAXR.Analytics.Editor.ComponentStates.ComponentStates(System.Collections.Generic.IEnumerable<UnityEngine.Component>)
  type: Constructor
  source:
    remote:
      path: Editor/ComponentStates.cs
      branch: main
      repo: git@gitlab.com:learntech-rwth/omilaxr-ecosystem/omilaxr.analytics.git
    id: .ctor
    path: ../Assets/OmiLAXR Ecosystem/OmiLAXR.Analytics/Editor/ComponentStates.cs
    startLine: 7
  assemblies:
  - OmiLAXR.Analytics.Editor
  namespace: OmiLAXR.Analytics.Editor
  syntax:
    content: public ComponentStates(IEnumerable<Component> objects)
    parameters:
    - id: objects
      type: System.Collections.Generic.IEnumerable{UnityEngine.Component}
    content.vb: Public Sub New(objects As IEnumerable(Of Component))
  overload: OmiLAXR.Analytics.Editor.ComponentStates.#ctor*
  nameWithType.vb: ComponentStates.New(IEnumerable(Of Component))
  fullName.vb: OmiLAXR.Analytics.Editor.ComponentStates.New(System.Collections.Generic.IEnumerable(Of UnityEngine.Component))
  name.vb: New(IEnumerable(Of Component))
references:
- uid: OmiLAXR.Analytics.Editor
  commentId: N:OmiLAXR.Analytics.Editor
  href: OmiLAXR.html
  name: OmiLAXR.Analytics.Editor
  nameWithType: OmiLAXR.Analytics.Editor
  fullName: OmiLAXR.Analytics.Editor
  spec.csharp:
  - uid: OmiLAXR
    name: OmiLAXR
    href: OmiLAXR.html
  - name: .
  - uid: OmiLAXR.Analytics
    name: Analytics
    href: OmiLAXR.Analytics.html
  - name: .
  - uid: OmiLAXR.Analytics.Editor
    name: Editor
    href: OmiLAXR.Analytics.Editor.html
  spec.vb:
  - uid: OmiLAXR
    name: OmiLAXR
    href: OmiLAXR.html
  - name: .
  - uid: OmiLAXR.Analytics
    name: Analytics
    href: OmiLAXR.Analytics.html
  - name: .
  - uid: OmiLAXR.Analytics.Editor
    name: Editor
    href: OmiLAXR.Analytics.Editor.html
- uid: System.Object
  commentId: T:System.Object
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object
  name: object
  nameWithType: object
  fullName: object
  nameWithType.vb: Object
  fullName.vb: Object
  name.vb: Object
- uid: System.Collections.Generic.Dictionary{System.Int32,System.String}
  commentId: T:System.Collections.Generic.Dictionary{System.Int32,System.String}
  parent: System.Collections.Generic
  definition: System.Collections.Generic.Dictionary`2
  href: https://learn.microsoft.com/dotnet/api/system.collections.generic.dictionary-2
  name: Dictionary<int, string>
  nameWithType: Dictionary<int, string>
  fullName: System.Collections.Generic.Dictionary<int, string>
  nameWithType.vb: Dictionary(Of Integer, String)
  fullName.vb: System.Collections.Generic.Dictionary(Of Integer, String)
  name.vb: Dictionary(Of Integer, String)
  spec.csharp:
  - uid: System.Collections.Generic.Dictionary`2
    name: Dictionary
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic.dictionary-2
  - name: <
  - uid: System.Int32
    name: int
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.int32
  - name: ','
  - name: " "
  - uid: System.String
    name: string
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.string
  - name: '>'
  spec.vb:
  - uid: System.Collections.Generic.Dictionary`2
    name: Dictionary
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic.dictionary-2
  - name: (
  - name: Of
  - name: " "
  - uid: System.Int32
    name: Integer
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.int32
  - name: ','
  - name: " "
  - uid: System.String
    name: String
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.string
  - name: )
- uid: System.Collections.Generic.IEnumerable{System.Collections.Generic.KeyValuePair{System.Int32,System.String}}.OmiLAXR.Analytics.Editor.IEnumerableExt.Diff``1(System.Collections.Generic.IEnumerable{System.Collections.Generic.KeyValuePair{System.Int32,System.String}})
  commentId: M:OmiLAXR.Analytics.Editor.IEnumerableExt.Diff``1(System.Collections.Generic.IEnumerable{``0},System.Collections.Generic.IEnumerable{``0})
  parent: OmiLAXR.Analytics.Editor.IEnumerableExt
  definition: OmiLAXR.Analytics.Editor.IEnumerableExt.Diff``1(System.Collections.Generic.IEnumerable{``0},System.Collections.Generic.IEnumerable{``0})
  href: OmiLAXR.Analytics.Editor.IEnumerableExt.html#OmiLAXR.Analytics.Editor.IEnumerableExt.Diff``1(System.Collections.Generic.IEnumerable{System.Collections.Generic.KeyValuePair{System.Int32,System.String}},System.Collections.Generic.IEnumerable{System.Collections.Generic.KeyValuePair{System.Int32,System.String}})
  name: Diff<KeyValuePair<int, string>>(IEnumerable<KeyValuePair<int, string>>, IEnumerable<KeyValuePair<int, string>>)
  nameWithType: IEnumerableExt.Diff<KeyValuePair<int, string>>(IEnumerable<KeyValuePair<int, string>>, IEnumerable<KeyValuePair<int, string>>)
  fullName: OmiLAXR.Analytics.Editor.IEnumerableExt.Diff<System.Collections.Generic.KeyValuePair<int, string>>(System.Collections.Generic.IEnumerable<System.Collections.Generic.KeyValuePair<int, string>>, System.Collections.Generic.IEnumerable<System.Collections.Generic.KeyValuePair<int, string>>)
  nameWithType.vb: IEnumerableExt.Diff(Of KeyValuePair(Of Integer, String))(IEnumerable(Of KeyValuePair(Of Integer, String)), IEnumerable(Of KeyValuePair(Of Integer, String)))
  fullName.vb: OmiLAXR.Analytics.Editor.IEnumerableExt.Diff(Of System.Collections.Generic.KeyValuePair(Of Integer, String))(System.Collections.Generic.IEnumerable(Of System.Collections.Generic.KeyValuePair(Of Integer, String)), System.Collections.Generic.IEnumerable(Of System.Collections.Generic.KeyValuePair(Of Integer, String)))
  name.vb: Diff(Of KeyValuePair(Of Integer, String))(IEnumerable(Of KeyValuePair(Of Integer, String)), IEnumerable(Of KeyValuePair(Of Integer, String)))
  spec.csharp:
  - uid: OmiLAXR.Analytics.Editor.IEnumerableExt.Diff``1(System.Collections.Generic.IEnumerable{System.Collections.Generic.KeyValuePair{System.Int32,System.String}},System.Collections.Generic.IEnumerable{System.Collections.Generic.KeyValuePair{System.Int32,System.String}})
    name: Diff
    href: OmiLAXR.Analytics.Editor.IEnumerableExt.html#OmiLAXR.Analytics.Editor.IEnumerableExt.Diff``1(System.Collections.Generic.IEnumerable{System.Collections.Generic.KeyValuePair{System.Int32,System.String}},System.Collections.Generic.IEnumerable{System.Collections.Generic.KeyValuePair{System.Int32,System.String}})
  - name: <
  - uid: System.Collections.Generic.KeyValuePair`2
    name: KeyValuePair
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic.keyvaluepair-2
  - name: <
  - uid: System.Int32
    name: int
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.int32
  - name: ','
  - name: " "
  - uid: System.String
    name: string
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.string
  - name: '>'
  - name: '>'
  - name: (
  - uid: System.Collections.Generic.IEnumerable`1
    name: IEnumerable
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic.ienumerable-1
  - name: <
  - uid: System.Collections.Generic.KeyValuePair`2
    name: KeyValuePair
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic.keyvaluepair-2
  - name: <
  - uid: System.Int32
    name: int
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.int32
  - name: ','
  - name: " "
  - uid: System.String
    name: string
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.string
  - name: '>'
  - name: '>'
  - name: ','
  - name: " "
  - uid: System.Collections.Generic.IEnumerable`1
    name: IEnumerable
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic.ienumerable-1
  - name: <
  - uid: System.Collections.Generic.KeyValuePair`2
    name: KeyValuePair
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic.keyvaluepair-2
  - name: <
  - uid: System.Int32
    name: int
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.int32
  - name: ','
  - name: " "
  - uid: System.String
    name: string
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.string
  - name: '>'
  - name: '>'
  - name: )
  spec.vb:
  - uid: OmiLAXR.Analytics.Editor.IEnumerableExt.Diff``1(System.Collections.Generic.IEnumerable{System.Collections.Generic.KeyValuePair{System.Int32,System.String}},System.Collections.Generic.IEnumerable{System.Collections.Generic.KeyValuePair{System.Int32,System.String}})
    name: Diff
    href: OmiLAXR.Analytics.Editor.IEnumerableExt.html#OmiLAXR.Analytics.Editor.IEnumerableExt.Diff``1(System.Collections.Generic.IEnumerable{System.Collections.Generic.KeyValuePair{System.Int32,System.String}},System.Collections.Generic.IEnumerable{System.Collections.Generic.KeyValuePair{System.Int32,System.String}})
  - name: (
  - name: Of
  - name: " "
  - uid: System.Collections.Generic.KeyValuePair`2
    name: KeyValuePair
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic.keyvaluepair-2
  - name: (
  - name: Of
  - name: " "
  - uid: System.Int32
    name: Integer
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.int32
  - name: ','
  - name: " "
  - uid: System.String
    name: String
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.string
  - name: )
  - name: )
  - name: (
  - uid: System.Collections.Generic.IEnumerable`1
    name: IEnumerable
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic.ienumerable-1
  - name: (
  - name: Of
  - name: " "
  - uid: System.Collections.Generic.KeyValuePair`2
    name: KeyValuePair
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic.keyvaluepair-2
  - name: (
  - name: Of
  - name: " "
  - uid: System.Int32
    name: Integer
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.int32
  - name: ','
  - name: " "
  - uid: System.String
    name: String
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.string
  - name: )
  - name: )
  - name: ','
  - name: " "
  - uid: System.Collections.Generic.IEnumerable`1
    name: IEnumerable
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic.ienumerable-1
  - name: (
  - name: Of
  - name: " "
  - uid: System.Collections.Generic.KeyValuePair`2
    name: KeyValuePair
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic.keyvaluepair-2
  - name: (
  - name: Of
  - name: " "
  - uid: System.Int32
    name: Integer
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.int32
  - name: ','
  - name: " "
  - uid: System.String
    name: String
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.string
  - name: )
  - name: )
  - name: )
- uid: System
  commentId: N:System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system
  name: System
  nameWithType: System
  fullName: System
- uid: System.Collections.Generic.Dictionary`2
  commentId: T:System.Collections.Generic.Dictionary`2
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.collections.generic.dictionary-2
  name: Dictionary<TKey, TValue>
  nameWithType: Dictionary<TKey, TValue>
  fullName: System.Collections.Generic.Dictionary<TKey, TValue>
  nameWithType.vb: Dictionary(Of TKey, TValue)
  fullName.vb: System.Collections.Generic.Dictionary(Of TKey, TValue)
  name.vb: Dictionary(Of TKey, TValue)
  spec.csharp:
  - uid: System.Collections.Generic.Dictionary`2
    name: Dictionary
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic.dictionary-2
  - name: <
  - name: TKey
  - name: ','
  - name: " "
  - name: TValue
  - name: '>'
  spec.vb:
  - uid: System.Collections.Generic.Dictionary`2
    name: Dictionary
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic.dictionary-2
  - name: (
  - name: Of
  - name: " "
  - name: TKey
  - name: ','
  - name: " "
  - name: TValue
  - name: )
- uid: System.Collections.Generic
  commentId: N:System.Collections.Generic
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system
  name: System.Collections.Generic
  nameWithType: System.Collections.Generic
  fullName: System.Collections.Generic
  spec.csharp:
  - uid: System
    name: System
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system
  - name: .
  - uid: System.Collections
    name: Collections
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections
  - name: .
  - uid: System.Collections.Generic
    name: Generic
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic
  spec.vb:
  - uid: System
    name: System
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system
  - name: .
  - uid: System.Collections
    name: Collections
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections
  - name: .
  - uid: System.Collections.Generic
    name: Generic
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic
- uid: OmiLAXR.Analytics.Editor.IEnumerableExt.Diff``1(System.Collections.Generic.IEnumerable{``0},System.Collections.Generic.IEnumerable{``0})
  commentId: M:OmiLAXR.Analytics.Editor.IEnumerableExt.Diff``1(System.Collections.Generic.IEnumerable{``0},System.Collections.Generic.IEnumerable{``0})
  isExternal: true
  href: OmiLAXR.Analytics.Editor.IEnumerableExt.html#OmiLAXR.Analytics.Editor.IEnumerableExt.Diff``1(System.Collections.Generic.IEnumerable{``0},System.Collections.Generic.IEnumerable{``0})
  name: Diff<T>(IEnumerable<T>, IEnumerable<T>)
  nameWithType: IEnumerableExt.Diff<T>(IEnumerable<T>, IEnumerable<T>)
  fullName: OmiLAXR.Analytics.Editor.IEnumerableExt.Diff<T>(System.Collections.Generic.IEnumerable<T>, System.Collections.Generic.IEnumerable<T>)
  nameWithType.vb: IEnumerableExt.Diff(Of T)(IEnumerable(Of T), IEnumerable(Of T))
  fullName.vb: OmiLAXR.Analytics.Editor.IEnumerableExt.Diff(Of T)(System.Collections.Generic.IEnumerable(Of T), System.Collections.Generic.IEnumerable(Of T))
  name.vb: Diff(Of T)(IEnumerable(Of T), IEnumerable(Of T))
  spec.csharp:
  - uid: OmiLAXR.Analytics.Editor.IEnumerableExt.Diff``1(System.Collections.Generic.IEnumerable{``0},System.Collections.Generic.IEnumerable{``0})
    name: Diff
    href: OmiLAXR.Analytics.Editor.IEnumerableExt.html#OmiLAXR.Analytics.Editor.IEnumerableExt.Diff``1(System.Collections.Generic.IEnumerable{``0},System.Collections.Generic.IEnumerable{``0})
  - name: <
  - name: T
  - name: '>'
  - name: (
  - uid: System.Collections.Generic.IEnumerable`1
    name: IEnumerable
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic.ienumerable-1
  - name: <
  - name: T
  - name: '>'
  - name: ','
  - name: " "
  - uid: System.Collections.Generic.IEnumerable`1
    name: IEnumerable
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic.ienumerable-1
  - name: <
  - name: T
  - name: '>'
  - name: )
  spec.vb:
  - uid: OmiLAXR.Analytics.Editor.IEnumerableExt.Diff``1(System.Collections.Generic.IEnumerable{``0},System.Collections.Generic.IEnumerable{``0})
    name: Diff
    href: OmiLAXR.Analytics.Editor.IEnumerableExt.html#OmiLAXR.Analytics.Editor.IEnumerableExt.Diff``1(System.Collections.Generic.IEnumerable{``0},System.Collections.Generic.IEnumerable{``0})
  - name: (
  - name: Of
  - name: " "
  - name: T
  - name: )
  - name: (
  - uid: System.Collections.Generic.IEnumerable`1
    name: IEnumerable
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic.ienumerable-1
  - name: (
  - name: Of
  - name: " "
  - name: T
  - name: )
  - name: ','
  - name: " "
  - uid: System.Collections.Generic.IEnumerable`1
    name: IEnumerable
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic.ienumerable-1
  - name: (
  - name: Of
  - name: " "
  - name: T
  - name: )
  - name: )
- uid: OmiLAXR.Analytics.Editor.IEnumerableExt
  commentId: T:OmiLAXR.Analytics.Editor.IEnumerableExt
  parent: OmiLAXR.Analytics.Editor
  href: OmiLAXR.Analytics.Editor.IEnumerableExt.html
  name: IEnumerableExt
  nameWithType: IEnumerableExt
  fullName: OmiLAXR.Analytics.Editor.IEnumerableExt
- uid: OmiLAXR.Analytics.Editor.ComponentStates.#ctor*
  commentId: Overload:OmiLAXR.Analytics.Editor.ComponentStates.#ctor
  href: OmiLAXR.Analytics.Editor.ComponentStates.html#OmiLAXR.Analytics.Editor.ComponentStates.#ctor(System.Collections.Generic.IEnumerable{UnityEngine.Component})
  name: ComponentStates
  nameWithType: ComponentStates.ComponentStates
  fullName: OmiLAXR.Analytics.Editor.ComponentStates.ComponentStates
  nameWithType.vb: ComponentStates.New
  fullName.vb: OmiLAXR.Analytics.Editor.ComponentStates.New
  name.vb: New
- uid: System.Collections.Generic.IEnumerable{UnityEngine.Component}
  commentId: T:System.Collections.Generic.IEnumerable{UnityEngine.Component}
  parent: System.Collections.Generic
  definition: System.Collections.Generic.IEnumerable`1
  href: https://learn.microsoft.com/dotnet/api/system.collections.generic.ienumerable-1
  name: IEnumerable<Component>
  nameWithType: IEnumerable<Component>
  fullName: System.Collections.Generic.IEnumerable<UnityEngine.Component>
  nameWithType.vb: IEnumerable(Of Component)
  fullName.vb: System.Collections.Generic.IEnumerable(Of UnityEngine.Component)
  name.vb: IEnumerable(Of Component)
  spec.csharp:
  - uid: System.Collections.Generic.IEnumerable`1
    name: IEnumerable
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic.ienumerable-1
  - name: <
  - uid: UnityEngine.Component
    name: Component
    isExternal: true
  - name: '>'
  spec.vb:
  - uid: System.Collections.Generic.IEnumerable`1
    name: IEnumerable
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic.ienumerable-1
  - name: (
  - name: Of
  - name: " "
  - uid: UnityEngine.Component
    name: Component
    isExternal: true
  - name: )
- uid: System.Collections.Generic.IEnumerable`1
  commentId: T:System.Collections.Generic.IEnumerable`1
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.collections.generic.ienumerable-1
  name: IEnumerable<T>
  nameWithType: IEnumerable<T>
  fullName: System.Collections.Generic.IEnumerable<T>
  nameWithType.vb: IEnumerable(Of T)
  fullName.vb: System.Collections.Generic.IEnumerable(Of T)
  name.vb: IEnumerable(Of T)
  spec.csharp:
  - uid: System.Collections.Generic.IEnumerable`1
    name: IEnumerable
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic.ienumerable-1
  - name: <
  - name: T
  - name: '>'
  spec.vb:
  - uid: System.Collections.Generic.IEnumerable`1
    name: IEnumerable
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic.ienumerable-1
  - name: (
  - name: Of
  - name: " "
  - name: T
  - name: )
